Bug 1312799 - (CVE-2016-4419) CVE-2016-4419 wireshark: SPICE dissector large loop (wnpa-sec-2016-16)
CVE-2016-4419 wireshark: SPICE dissector large loop (wnpa-sec-2016-16)
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160226,repor...
: Security
Depends On:
Blocks: 1312806
  Show dependency treegraph
 
Reported: 2016-02-29 04:40 EST by Martin Prpic
Modified: 2016-08-12 02:04 EDT (History)
5 users (show)

See Also:
Fixed In Version: Wireshark 2.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-12 02:04:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpic 2016-02-29 04:40:43 EST
It was reported that Wireshark's SPICE dissector could enter a large loop. It may be possible to make Wireshark crash or consume excessive CPU resources by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Upstream bug(s):

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=12151

External References:

https://www.wireshark.org/security/wnpa-sec-2016-16.html
Comment 1 Andrej Nemec 2016-05-02 05:31:12 EDT
CVE assignment:

http://seclists.org/oss-sec/2016/q2/177

Note You need to log in before you can comment on or make changes to this bug.